buildscript {
    repositories {
        gradlePluginPortal()
    }
    dependencies {
        classpath("com.github.jengelman.gradle.plugins:shadow:5.2.0")
    }
}

plugins {
    kotlin("jvm") version "1.3.72"
}

group = "com.kmlabz"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral()
    jcenter()
}

apply(plugin= "com.github.johnrengelman.shadow")

dependencies {
    implementation(kotlin("stdlib-jdk8"))
    implementation("com.rabbitmq:amqp-client:2.7.1")
    implementation("com.viartemev:the-white-rabbit:0.0.5")
    implementation("com.google.code.gson:gson:2.8.6")
}

tasks {
    compileKotlin {
        kotlinOptions.jvmTarget = "11"
    }
    compileTestKotlin {
        kotlinOptions.jvmTarget = "11"
    }
}